Package classycle

# Class AnalyserCommandLine

java.lang.Object
classycle.CommandLine
classycle.AnalyserCommandLine

public class AnalyserCommandLine extends CommandLine
Process command line arguments and options for the main application `Analyser`.

Author:
  Franz-Josef Elmer

## Field Summary

### Fields inherited from class classycle.CommandLine

`_classFiles, _pattern, _reflectionPattern, _valid`

## Constructor Summary

Constructors
Constructor
Description
`AnalyserCommandLine(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCsvFile()`
Returns the name of the CSV file as defined by the option `-csvFile`.
`String`
`getTitle()`
Returns the title by the option `-title`.
`String`
`getUsage()`
Returns the usage of correct command line arguments and options.
`String`
`getXmlFile()`
Returns the name of the XML file as defined by the option `-xmlFile`.
`protected void`
`handleOption(String argument)`
`boolean`
`isCycles()`
Returns `true` if the option `-cycles` has been set.
`boolean`
`isPackagesOnly()`
Returns `true` if the option `-package` has been set.
`boolean`
`isRaw()`
Returns `true` if the option `-raw` has been set.
`boolean`
`isStrong()`
Returns `true` if the option `-strong` has been set.

### Methods inherited from class classycle.CommandLine

`getClassFiles, getPattern, getReflectionPattern, isMergeInnerClasses, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnalyserCommandLine

public AnalyserCommandLine(String[] args)

## Method Details

### handleOption

protected void handleOption(String argument)

Overrides:
  `handleOption` in class `CommandLine`

### getUsage

public String getUsage()
Returns the usage of correct command line arguments and options.

Overrides:
  `getUsage` in class `CommandLine`

### isCycles

public boolean isCycles()
Returns `true` if the option `-cycles` has been set.

### isPackagesOnly

public boolean isPackagesOnly()
Returns `true` if the option `-package` has been set.

### isRaw

public boolean isRaw()
Returns `true` if the option `-raw` has been set.

### isStrong

public boolean isStrong()
Returns `true` if the option `-strong` has been set.

### getCsvFile

public String getCsvFile()
Returns the name of the CSV file as defined by the option `-csvFile`.

Returns:
  `null` if undefined.

### getTitle

public String getTitle()
Returns the title by the option `-title`. If undefined `CommandLine.getClassFiles()``[0]` will be used.

Returns:
  String

### getXmlFile

public String getXmlFile()
Returns the name of the XML file as defined by the option `-xmlFile`.

Returns:
  `null` if undefined.